# Copyright (C) 2015 Chi-kwan Chan
# Copyright (C) 2015 Steward Observatory
#
# This file is part of mockservation.
#
# Mockservation is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Mockservation is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with mockservation.  If not, see <http://www.gnu.org/licenses/>.

import h5py as h5

def append(name, imgs, time):
    """ Dump GRay data into an existing HDF5 file """
    with h5.File(name, "r+") as file: # FIXME: will file close automatically?
        print("Appending GRay HDF5 file \"{0}\"".format(name))

        nt = file['images'].shape[0]

        file['images'].resize(nt + imgs.shape[0], axis=0)
        file['images'][nt:,:,:] = imgs

        file['time'].resize(nt + imgs.shape[0], axis=0)
        file['time'][nt:] = time
