# Copyright (C) 2015 Chi-kwan Chan
# Copyright (C) 2015 Steward Observatory
#
# This file is part of mockservation.
#
# Mockservation is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Mockservation is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with mockservation.  If not, see <http://www.gnu.org/licenses/>.

import h5py as h5

def update(name, paras):
    """ Dump GRay data into an existing HDF5 file """
    with h5.File(name, "r+") as file: # FIXME: will file close automatically?
        print("Updating GRay HDF5 file \"{0}\"".format(name))

        # Turn parameters into file attributes
        for key, value in paras.items():
            file.attrs[key] = value
