from setuptools import setup, find_packages
from codecs     import open
from os         import path

here = path.abspath(path.dirname(__file__))
with open(path.join(here, "README.rst"), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name="mockservation",
    version="0.3.0",
    description="Managing and manipulating mock observations",
    long_description=long_description,

    url="https://github.com/chanchikwan/mockservation",
    author="Chi-kwan Chan",
    author_email="chanc@email.arizona.edu",
    license="GPLv3+",

    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Science/Research",
        "Topic :: Scientific/Engineering :: Astronomy",
        "Topic :: Scientific/Engineering :: Physics",
        "Topic :: Scientific/Engineering :: Visualization",
        "License :: OSI Approved :: GNU General Public License v3 or later"+
            " (GPLv3+)",
        "Programming Language :: Python :: 3",
    ],
    keywords="astronomy astrophysics black-holes accretion-disks",

    packages=find_packages(exclude=["docs", "tests*"]),
    install_requires=["h5py"],
)
